#include <iostream>
#include <fstream>
#include <cmath>
#include <iomanip>
using namespace std;
int main ()
{
    ifstream fo("DE003.INP");
	int m, i, tich, tong = 0;
	fo >>m ;
	fo.close();
	ofstream f1("DE003.OUT");
	for( i = 1; i <= m; i++)
    {
        tich = i*(i+1)*(i+2);
        tong + = tich;
    }
    f1  << tong;
return 0;
}


